const darkTheme = {
	palette: {
		type: 'dark',
		common: {
			black: '#000',
			white: '#FFF',
		},
		primary: {
			main: '#404AB2',
			dark: '#404AB2',
		},
		secondary: {
			main: '#2D9AF1',
			dark: '#2D9AF1',
		},
		text: {
			primary: '#F5F5F5',
			secondary: 'rgba(255, 255, 255, 0.7)',
			disable: 'rgba(255, 255, 255, 0.5)',
			hint: 'rgba(255, 255, 255, 0.5)',
			icon: 'rgba(255, 255, 255, 0.5)',
		},
		divider: 'rgba(255, 255, 255, 0.3)',
		success: {
			dark: '#95BF40',
			main: '#538D22',
			contrastText: '#000',
		},
		warning: {
			dark: '#EDC531',
			main: '#E8D630',
			contrastText: '#000',
		},
		error: {
			dark: '#EF6262',
			main: '#EF6262',
			contrastText: '#F5F5F5',
		},
		info: {
			main: '#146CA4',
			dark: '#146CA4',
			contrastText: '#F5F5F5',
		},
		background: {
			paper: '#323232',
			paperHover: '#3a3a3a',
			default: '#424242',
		},
		action: {
			active: '#F5F5F5',
			hover: 'rgba(255, 255, 255, 0.08)',
			hoverOpacity: 0.08,
			selected: 'rgba(255, 255, 255, 0.16)',
			selectedOpacity: 0.16,
			disabled: 'rgba(255, 255, 255, 0.3)',
			disabledBackground: 'rgba(255, 255, 255, 0.12)',
			disabledOpacity: 0.38,
			focus: 'rgba(255, 255, 255, 0.12)',
			focusOpacity: 0.12,
			activatedOpacity: 0.24,
		},
	},
	shape: {
		borderRadius: 4,
	},
	typography: {
		htmlFontSize: 16,
		fontFamily: 'Louis-George-Cafe',
		h1: {
			fontFamily: 'Louis-George-Cafe',
			fontWeight: 300,
			fontSize: '6rem',
			lineHeight: 1.167,
			letterSpacing: '-0.01562em',
		},
		h2: {
			fontFamily: 'Louis-George-Cafe',
			fontWeight: 300,
			fontSize: '3.75rem',
			lineHeight: 1.2,
			letterSpacing: '-0.00833em',
		},
		h3: {
			fontFamily: 'Louis-George-Cafe',
			fontWeight: 400,
			fontSize: '2.25rem',
			lineHeight: 1.167,
			letterSpacing: '0em',
		},
		h4: {
			fontFamily: 'Louis-George-Cafe',
			fontWeight: 600,
			fontSize: '2rem',
			lineHeight: 1.235,
			letterSpacing: '0.00735em',
		},
		h5: {
			fontFamily: 'Louis-George-Cafe',
			fontWeight: 400,
			fontSize: '1.65rem',
			lineHeight: 1.334,
			letterSpacing: '0em',
		},
		h6: {
			fontFamily: 'Louis-George-Cafe',
			fontSize: '1.2rem',
			fontWeight: 400,
			letterSpacing: '-0.01562em',
			lineHeight: 1.16,
			borderRadius: 0,
		},
		body1: {
			fontFamily: 'Louis-George-Cafe',
			fontWeight: 400,
			fontSize: '1rem',
			lineHeight: 1.5,
			letterSpacing: '0.00938em',
		},
		body2: {
			fontFamily: 'Louis-George-Cafe',
			fontWeight: 400,
			fontSize: '0.875rem',
			lineHeight: 1.43,
			letterSpacing: '0.01071em',
		},
		button: {
			fontFamily: 'Louis-George-Cafe',
			fontWeight: 500,
			fontSize: '0.875rem',
			lineHeight: 1.75,
			letterSpacing: '0.02857em',
		},
	},
}

export default darkTheme
